[RFC] composer phpBB versions and installation

Note: We are moving the topics of this forum and it will be deleted at some point

Publish your own request for comments/change or patches for the next version of phpBB. Discuss the contributions and proposals of others. Upcoming releases are 3.2/Rhea and 3.3.
User avatar
MichaelC
Development Team
Development Team
Posts: 889
Joined: Thu Jan 28, 2010 6:29 pm

Re: [RFC] composer phpBB versions and installation

Post by MichaelC » Tue Feb 24, 2015 6:07 pm

RMcGirr83 wrote:
nickvergessen wrote:That's the plan, we just didn't manage to finish that in time for 3.1
Ticket or no Joas? I'll open one if one doesn't exist.
https://area51.phpbb.com/phpBB/viewtopi ... 08&t=43427
Formerly known as Unknown Bliss
psoTFX wrote: I went with Olympus because as I said to the teams ... "It's been one hell of a hill to climb"
No unsolicited PMs please except for quotes.

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1731
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: [RFC] composer phpBB versions and installation

Post by DavidIQ » Tue Feb 24, 2015 6:19 pm

Not sure how that fits in to this discussion? Does that somehow make requirements actually mean something and prevent installation of extensions into systems that don't meet those requirements?
Image

User avatar
nickvergessen
Former Team Member
Posts: 733
Joined: Sun Oct 07, 2007 11:54 am
Location: Stuttgart, Germany
Contact:

Re: [RFC] composer phpBB versions and installation

Post by nickvergessen » Tue Feb 24, 2015 7:56 pm

Member of the Development-TeamNo Support via PM

User avatar
RMcGirr83
Registered User
Posts: 357
Joined: Fri Mar 09, 2007 1:51 am
Contact:

Re: [RFC] composer phpBB versions and installation

Post by RMcGirr83 » Tue Feb 24, 2015 8:45 pm

I guess the workarounds posted will just have to do for now.
Do not hire Christian Bullock he won't finish the job and will keep your money

User avatar
MichaelC
Development Team
Development Team
Posts: 889
Joined: Thu Jan 28, 2010 6:29 pm

Re: [RFC] composer phpBB versions and installation

Post by MichaelC » Tue Feb 24, 2015 8:55 pm

DavidIQ wrote:
Not sure how that fits in to this discussion? Does that somehow make requirements actually mean something and prevent installation of extensions into systems that don't meet those requirements?
Correct. Dependencies on anything (other libraries on packagist, phpbb, php, php extensions, other extensions/styles/translations) will work (and install them for you).
Formerly known as Unknown Bliss
psoTFX wrote: I went with Olympus because as I said to the teams ... "It's been one hell of a hill to climb"
No unsolicited PMs please except for quotes.

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1731
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: [RFC] composer phpBB versions and installation

Post by DavidIQ » Tue Feb 24, 2015 9:09 pm

MichaelC wrote:Correct. Dependencies on anything (other libraries on packagist, phpbb, php, php extensions, other extensions/styles/translations) will work (and install them for you).
And if it requires a higher version of phpBB or PHP? I'm not sure dependencies and requirements are classified and treated the same way.
Image

Nicofuma
3.2 Release Manager
3.2 Release Manager
Posts: 297
Joined: Sun Apr 13, 2014 1:40 am
Location: Paris

Re: [RFC] composer phpBB versions and installation

Post by Nicofuma » Tue Feb 24, 2015 9:19 pm

For the version of phpBB it will be treated separately but with composer integrated it will be easier to do.
Member of the phpBB Development-Team
No Support via PM

Post Reply